#!/usr/bin/env python

import requests

"""
Communicator module
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, GoldenPogácsa Team"
__module_name__ = "messagesender"
__version__text__ = "1"

class Communicator:
    """
    Class handling low level communication with consumers.
    """
    def __init__(self):
        """
        Initalize class
        """
        pass

    def sendmessage(self, message: str) -> None:
        """
        Send message to consumer.
        :param message:
        :return: none
        """
        pass

    def discoveravailableconsumers(self) -> list:
        """
        Get the list of available consumer from the current primary consumer.
        :return:
        """
        pass

    def isconsumeravailable(self) -> bool:
        """
        Readiness probe primary consumer.
        :return:
        """
        pass

    def checkconsumer(self, consumer: str) -> bool:
        """
        Readiness probe of a prticular consumer.
        :param consumer:
        :return:
        """
        pass
